--require "prefs"

thm = { ['std'] = {  
					install = function()
						theme.win.color('#cfcfdf', '#ffffff', 'gold')
						theme.inv.color('#cfcfdf', '#ffffff', 'gold')

						theme.set("menu.col.alpha", '245');
						theme.set("menu.col.bg", '#29282e');
						theme.set("menu.col.fg", '#bdbdbf')
						theme.set("menu.col.link", '#ffffff')
						theme.set("menu.col.alink", '#00ff00')
						theme.set("menu.col.alpha", '245')
						theme.set("menu.col.border", '#bdbdbf')
						theme.set("menu.bw" , '2')
					end,		
					--     bgr.jpg     1 - , 2-, 3-   ""   
					bgr = { 'bgr.jpg','bgr2.jpg','bgr.jpg'}
					},
		['mil'] = {  
					install = function()
						theme.win.color('#a2c3a8', '#69d01d', '75ff10')
						theme.inv.color('#a2c3a8', '#69d01d', '75ff10')

						theme.set("menu.col.alpha", '245');
						theme.set("menu.col.bg", '#186125');
						theme.set("menu.col.fg", '#bdbdbf')
						theme.set("menu.col.link", '#ffffff')
						theme.set("menu.col.alink", '#00ff00')
						theme.set("menu.col.alpha", '245')
						theme.set("menu.col.border", '#bdbdbf')
						theme.set("menu.bw" , '2')
					end,		
					bgr = { 'bgr.jpg','bgr.jpg','bgr.jpg'}
					}			
	
  	}

--     
function thm.init()
   if prefs.thm=='' or prefs.thm==nil then thm.set('std')  else thm.set(prefs.thm) end
end 


--    
function thm.verify(t)
	assert(t=='std' or t=='mil')
end

-- 
function thm.setgfx(t)
	thm.verify(t)
	theme.gfx.cursor('theme/'..t..'/cursor.png', 'theme/'..t..'/cursor-use.png', nil, nil)
	theme.gfx.bg('theme/'..t..'/bgr.jpg')
	theme.inv.gfx.up('theme/'..t..'/uparrow.png', nil, nil)
	theme.inv.gfx.down('theme/'..t..'/downarrow.png', nil, nil)
	theme.menu.gfx.button('theme/'..t..'/menu.png', nil, nil)
	theme.win.gfx.up('theme/'..t..'/uparrow.png', nil, nil)
	theme.win.gfx.down('theme/'..t..'/downarrow.png', nil, nil)					
end


--  
function thm.set(t)
	thm.verify(t)
	prefs.thm = t
	prefs:store()
	
	thm.setgfx(t)
	thm[t].install()
end




